Namespaces
EBOOKOPFParser.cpp File Reference
`#include <cassert>`
`#include <deque>`
`#include <stack>`
`#include <string>`
`#include <unordered_map>`
`#include <boost/optional.hpp>`
`#include "EBOOKHTMLParser.h"`
`#include "EBOOKOPFParser.h"`
`#include "EBOOKOPFToken.h"`
`#include "EBOOKSubDocument.h"`
`#include "EBOOKSAXParser.h"`

## Namespaces
namespace | libebook

## Variable Documentation

## ◆ event

optional<int> event

## ◆ href

optional<string> href

## ◆ id

optional<string> id

Referenced by libebook::EBOOKOutputElements::addOpenFooter(), libebook::EBOOKOutputElements::addOpenHeader(), libebook::BBeBCollector::collectImage(), libebook::FictionBook2ExtrasCollector::defineID(), libebook::PluckerParser::readMetadata(), libebook::BBeBParser::readObject(), and libebook::RocketEBookStream::subStreamName().

## ◆ idref

optional<string> idref

## ◆ linear

optional<bool> linear

## ◆ m_contextStack

stack<Context> m_contextStack
| private

## ◆ m_currentAttrs

SavedAttributes m_currentAttrs
| private

## ◆ m_elementStack

stack<int> m_elementStack
| private

## ◆ m_package

Package& m_package
| private

## ◆ manifest

Manifest_t manifest

## ◆ mediaType

optional<string> mediaType

## ◆ metadata

RVNGPropertyList metadata

Referenced by libebook::BBeBCollector::collectMetadata(), libebook::XMLCollector::collectMetadata(), libebook::PalmDocParser::openDocument(), libebook::TealDocParser::openDocument(), libebook::ZTXTParser::openDocument(), and libebook::RocketEBookParser::parse().

## ◆ mimetype

string mimetype

Referenced by libebook::BBeBCollector::insertImage().

## ◆ path

string path

## ◆ role

optional<int> role

## ◆ spine

Spine_t spine

## ◆ type

SpineItemType type